delete(instrfind);
s = serial('COM1',...
    'baudrate',57600,...
    'terminator',13);
fopen(s);

%f = fopen('test.txt', 'w');

test = 3;

% Random position, no velocity, equal mass
if test == 1
    N = 1000;

    px = 640*rand(1,N);
    py = 480*rand(1,N);
    pz = 511*rand(1,N);
    vx = 0*rand(1,N);
    vy = 0*rand(1,N);
    vz = 0*rand(1,N);
    m  = 3*ones(1,N);  
    
end

% Show Z-Range colors
if test == 2
    N = 500;

    px = 640*rand(1,N);
    py = 480*rand(1,N);
    pz = 0*ones(1,N);
    vx = 0*rand(1,N);
    vy = 0*rand(1,N);
    vz = 1.5*ones(1,N);
    m  = 0.01*ones(1,N);  
    
end

% One heavy particle, others attempt at orbits
if test == 3
    N = 250;

    px = 640*rand(1,N);
    py = 480*rand(1,N);
    pz = 255*ones(1,N);
    m  = 0.01*ones(1,N);
    vx = 0*rand(1,N);
    vy = 0*rand(1,N);
    vz = 1.5*ones(1,N);
    
    for i = 1:N
        
        % Distance to center 320,240;
        vel = 0.75-(sqrt((py(i)-240)^2 + (px(i)-320)^2)/600);
        
        if px(i) >= 320
            vy(i) = -1*vel*sin(py(i)*pi/480);
        else
            vy(i) = vel*sin(py(i)*pi/480);
        end
        
        if py(i) >= 240
            vx(i) = vel*sin(px(i)*pi/640);
        else
            vx(i) = -1*vel*sin(py(i)*pi/640);
        end
        vz(i) = 0;
    end
    
    px(1) = 320;
    py(1) = 240;
    pz(1) = 255;
    vx(1) = 0;
    vy(1) = 0;
    vz(1) = 0;
    m(1) = 100;
 
end

for i = 1:N 
 a = sprintf('p%d,%u,%u,%u,%u,%u,%u,%u, \r',i-1,...
     float2reg27(px(i)),float2reg27(py(i)),float2reg27(pz(i)),...
     float2reg27(vx(i)),float2reg27(vy(i)),float2reg27(vz(i)),...
     float2reg27(m(i)));
 
 fprintf(s,'%s',a);
 
 if (mod(i,50) == 0) 
     disp(i);
 end


out = fscanf(s, '%s');

end

fprintf(s, 'd\r');
out = fscanf(s, '%s');
fclose(s)
delete(s)
clear s
